Autore Topic: Errore compilazione whatsapp  (Letto 578 volte)

Offline cri16228

  • Nuovo arrivato
  • *
  • Post: 1
  • Respect: 0
    • Mostra profilo
Errore compilazione whatsapp
« il: 27 Marzo 2015, 16:33:35 CET »
0
Buongiorno ragazzi ho un problema con la compilazione di whatsapp. Uso un sistema operativo Linux Xubuntu 32 bit (non so se fa differenza) e ogni volta che decompilo whatsapp e la ricompilo, anche manenendo la cartella orginale (senza alcuna modifica), dopo la compilazione esce questo errore:
[SPOILER]
Please make your decision: 10
I: Using Apktool 2.0.0-02b5c7-SNAPSHOT on WhatsApp_2.12.5.apk
I: Checking whether sources has changed...
I: Smaling smali folder into classes.dex...
I: Checking whether resources has changed...
I: Building resources...
Exception in thread "main" warning: string 'install_app_ineligible_v14' has no default translation.
warning: string 'voip_call_failed_incompatible_cellular' has no default translation.
warning: string 'voip_call_failed_incompatible_wifi' has no default translation.
warning: string 'voip_connecting' has no default translation.
/home/utente/Scrivania/APK-Multi-Tool/other/../working/WhatsApp_2.12.5.apk/res/xml/widget_info.xml:2: error: No resource identifier found for attribute 'initialKeyguardLayout' in package 'android'

/home/utente/Scrivania/APK-Multi-Tool/other/../working/WhatsApp_2.12.5.apk/res/xml/widget_info.xml:2: error: No resource identifier found for attribute 'widgetCategory' in package 'android'

brut.androlib.AndrolibException: brut.androlib.AndrolibException: brut.common.BrutException: could not exec command: [/tmp/brut_util_Jar_2797965808860495705.tmp, p, --forced-package-id, 127, --min-sdk-version, 7, --target-sdk-version, 21, --version-code, 450350, --version-name, 2.12.5, -F, /tmp/APKTOOL5170014911821554645.tmp, -0, arsc, -I, /home/utente/apktool/framework/1.apk, -S, /home/utente/Scrivania/APK-Multi-Tool/other/../working/WhatsApp_2.12.5.apk/res, -M, /home/utente/Scrivania/APK-Multi-Tool/other/../working/WhatsApp_2.12.5.apk/AndroidManifest.xml]
at brut.androlib.Androlib.buildResourcesFull(Androlib.java:437)
at brut.androlib.Androlib.buildResources(Androlib.java:374)
at brut.androlib.Androlib.build(Androlib.java:277)
at brut.androlib.Androlib.build(Androlib.java:250)
at brut.apktool.Main.cmdBuild(Main.java:225)
at brut.apktool.Main.main(Main.java:84)
Caused by: brut.androlib.AndrolibException: brut.common.BrutException: could not exec command: [/tmp/brut_util_Jar_2797965808860495705.tmp, p, --forced-package-id, 127, --min-sdk-version, 7, --target-sdk-version, 21, --version-code, 450350, --version-name, 2.12.5, -F, /tmp/APKTOOL5170014911821554645.tmp, -0, arsc, -I, /home/utente/apktool/framework/1.apk, -S, /home/utente/Scrivania/APK-Multi-Tool/other/../working/WhatsApp_2.12.5.apk/res, -M, /home/utente/Scrivania/APK-Multi-Tool/other/../working/WhatsApp_2.12.5.apk/AndroidManifest.xml]
at brut.androlib.res.AndrolibResources.aaptPackage(AndrolibResources.java:488)
at brut.androlib.Androlib.buildResourcesFull(Androlib.java:423)
... 5 more
Caused by: brut.common.BrutException: could not exec command: [/tmp/brut_util_Jar_2797965808860495705.tmp, p, --forced-package-id, 127, --min-sdk-version, 7, --target-sdk-version, 21, --version-code, 450350, --version-name, 2.12.5, -F, /tmp/APKTOOL5170014911821554645.tmp, -0, arsc, -I, /home/utente/apktool/framework/1.apk, -S, /home/utente/Scrivania/APK-Multi-Tool/other/../working/WhatsApp_2.12.5.apk/res, -M, /home/utente/Scrivania/APK-Multi-Tool/other/../working/WhatsApp_2.12.5.apk/AndroidManifest.xml]
at brut.util.OS.exec(OS.java:89)
at brut.androlib.res.AndrolibResources.aaptPackage(AndrolibResources.java:482)
... 6 more
[/SPOILER]
Ripeto che anche mandenendo la cartella di decompilazione invariata esce questo errore. Non penso sia impossibile modificare questgo apk perchè esiste whatsapp+ quindi è l'originale moddata, quindi penso sia possibile.

Informazioni aggiuntive:
- Uso l'Android SDK
- Ho adb installato
- Ho installato il framework-res.apk
- Uso APK-Multi-Tool (per linux) e ha sempre funzionato tranne per whatsapp
- Voglio decompilarla SOLO per cambiare icona di lancio e status bar

Spero possiate aiutarmi e spero sia nella sezione giusta